
--
-- TABLE: adresse
-- 
--  

CREATE TABLE adresse (
  adresse_id integer NOT NULL ,
  numero_civique character varying NOT NULL ,
  type_rue character varying NOT NULL ,
  nom_rue character varying NOT NULL ,
  code_postal character varying NOT NULL ,
  ville character varying NOT NULL ,
  date_saisie date NOT NULL 
);
CREATE SEQUENCE adresse_adresse_id_seq START 1 INCREMENT 1 ;
ALTER TABLE adresse ALTER COLUMN adresse_id SET NOT 0;
ALTER TABLE adresse ALTER COLUMN adresse_id SET DEFAULT nextval('adresse_adresse_id_seq');

-- 
ALTER TABLE adresse ADD CONSTRAINT primaire_adresse_id PRIMARY KEY (adresse_id);

CREATE INDEX adresse_adresse_id_index  ON adresse(adresse_id);
